accounts/urls.py
from django.urls import path
from django.contrib.auth import views as auth_views

from .views import index, profile, Ads_list, Add_Ads


app_name ="accounts"
urlpatterns = [
    path('login/', auth_views.LoginView.as_view(), name='login'),
    path('logout/', auth_views.LogoutView.as_view(), name='logout'),

]
urlpatterns += [
    path('', index, name='panel'),
    path('profile', profile, name='profile'),
    path('ads_list', Ads_list, name='ads_list'),
    path('addAds', Add_Ads, name='add_ads'),
]

ak/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('web.urls')),
    path('accounts/', include('accounts.urls')),
]

from django.conf import settings
from django.conf.urls.static import static

urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

web/urls.py
from django.urls import path
from .views import *


app_name ="web"
urlpatterns = [
    path('', index, name='Home'),
    path('ads/<slug:slug>', Ads_detail, name='ads_detail'),
    path('ads/', webAds, name='ads'),
    path('about', about , name='about'), 
    
]   

accounts/models.py
from django.db import models
from django.utils import timezone
from django.contrib.auth.models import AbstractUser


# calss User For Acc's
class User(AbstractUser):
		is_author = models.BooleanField(default=False, verbose_name="وضعیت نویسندگی")
		special_user = models.DateTimeField(default=timezone.now, verbose_name="کاربر ویژه تا")

		def is_special_user(self):
			if self.special_user > timezone.now():
				return True
			else:
				return False
		is_special_user.boolean = True
		is_special_user.short_description = "وضعیت کاربر ویژه"

web/models.py
from django.db import models
from accounts.models import User
from django.utils import timezone
from extensions.utils import jalali_converter
# Create your models here.

class City(models.Model):
    cty = models.CharField(max_length=30, verbose_name='استان')
    def __str__(self):
        return self.cty
    class Meta:
        verbose_name = "استان"
        verbose_name_plural = "استان ها"

class mantg(models.Model):
    mntg = models.CharField(max_length=48, verbose_name='ناحیه')



class category(models.Model):
    category = models.CharField(max_length=30, verbose_name='دسته بندی')
    cat_slug = models.SlugField(verbose_name='لینک دسته بندی')
    def __str__(self):
        return self.category
    class Meta:
        verbose_name = "دسته بندی"
        verbose_name_plural = "دسته بندی ها"



class addAds(models.Model):
    STATUS_CHOICES = (
        ('f', "پیش نویس"),
	    ('d', 'درانتظار تایید'),
		('p', "منتشر شده"),
        ('v', 'آگهی ویژه'),
	)
    author = models.ForeignKey(User, null=True, on_delete=models.SET_NULL, related_name='articles', verbose_name="نویسنده")
    title = models.CharField(max_length=52 , verbose_name='عنوان آگهی')
    slug = models.SlugField(max_length=100, unique=True, verbose_name="آدرس مقاله")
    category = models.ManyToManyField(category, verbose_name='دسته بندی')
    city = models.ManyToManyField(City, verbose_name='استان')
    body = models.TextField(verbose_name='توضیحات آگهی')
    price = models.BigIntegerField(verbose_name='قیمت')
    Adspic = models.ImageField(upload_to='upload/ads_pic', verbose_name='تصویر آگهی')
    status = models.CharField(max_length=1, choices=STATUS_CHOICES, verbose_name="وضعیت")
    publish = models.DateTimeField(default=timezone.now, verbose_name='زمان انتشار')
    def __str__(self):
        return self.title
    class Meta:
	    verbose_name = "آگهی"
	    verbose_name_plural = "آگهی ها"

    def jpublish(self):
	    return jalali_converter(self.publish)
    jpublish.short_description = "زمان انتشار"

#class

accounts/views.py
from django.shortcuts import render
from django.contrib.auth.decorators import login_required

from web.models import addAds

# Create your views here.

@login_required
def index(request):
    return render(request, 'panel/index.html')
    
@login_required
def profile(request):
    return render(request, 'panel/profile.html')

@login_required
def Add_Ads(request):
    return render(request, 'panel/add-ads.html')


def Ads_list(request):
    ads_list = addAds.objects.all()
    context = {
        'ads_list' : ads_list
    }
    return render(request, 'panel/Ads-list.html', context)

web/views.py
from django.shortcuts import render
from .models import addAds, category
# Create your views here.




def index(request):
    ads_list = addAds.objects.all()[0:6]
    context = {
        'ads_list' : ads_list
    }
    return render(request, 'web/index.html', context)

def about(request):
    return render(request, 'web/about.html')

def webAds(request):
    adslist = addAds.objects.all()
    context = {
        'adslist' : adslist
    }
    return render(request, 'web/ads.html', context)
    
def Ads_detail(request, slug):
    ads_detail = addAds.objects.get(slug=slug)
    ads_cat = category.objects.all()
    context = {
        'ads_detail' : ads_detail,
        'ads_cat' : ads_cat
    }
    print (ads_detail)
    return render(request, 'web/ads-detail.html', context)

templates/panel/Ads-list.html
{% extends 'panel/base.html' %}
 {% block content %}

<div class="wrapper">

  <!-- Navbar -->
  {% include './tmp/nav.html' %}
  <!-- /.navbar -->
 <!-- SideBar -->
 {% include './tmp/side.html' %}
 <!-- /.SideBar -->
  

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>آگهی ها</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">

      <!-- Default box -->

      <div class="card">
        <div class="card-header">
          <h3 class="card-title">لیست آگهی های ثبت شده</h3>
        </div>
        <!-- /.card-header -->
        <div class="card-body">
          <table class="table table-bordered table-striped table-hover">
            <thead>
            <tr>
              <th>عنوان آگهی</th>
              <th>قیمت</th>
              <th>Platform(s)</th>
              <th>وضعیت آگهی</th>
              <th>تاریخ ثبت</th>
            </tr>
            </thead>
            {% for addAds in ads_list %}
            <tbody>
            <tr>
              <td>{{ addAds.title }}</td>
              <td>{{ addAds.price }}</td>
              <td>Win 95+</td>
              <td>{% if addAds.status == 'p' %}
                <span class="badge badge-success">منتشرشده</span>
                {% else %}
                {% if addAds.status == 'f' %}
                <span class="badge badge-secondary">پیش نویس</span>
                {% else %}
                {% if addAds.status == 'v' %}
                <span class="badge badge-warning">آگهی ویژه</span>
                {% else %}
                {% if addAds.status == 'd' %}
                <span class="badge badge-danger">در انتظار تایید</span>
                {% endif %}{% endif %}{% endif %}{% endif %}
              </td>
              <td>{{ addAds.publish }}</td>
            </tr>
          </tbody>
          {% endfor %}
          </table>
        </div>
        <!-- /.card-body -->
      </div>
      <!-- /.card -->
    </div>








      <!-- /.card -->

    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  {% include './tmp/footer.html' %}

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

{% endblock %}

templates/panel/add-ads.html
{% extends 'panel/base.html' %}
 {% block content %}

<div class="wrapper">

  <!-- Navbar -->
  {% include './tmp/nav.html' %}
  <!-- /.navbar -->
 <!-- SideBar -->
 {% include './tmp/side.html' %}
 <!-- /.SideBar -->
  

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>ثبت آگهی</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">

      <!-- Default box -->


      <div class="card card-primary">
        <div class="card-header">
          <h3 class="card-title">General</h3>

          <div class="card-tools">
            <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
              <i class="fas fa-minus"></i></button>
          </div>
        </div>
        <div class="card-body" style="display: block;">
          <div class="form-group">
            <label for="inputName">عنوان آگهی</label>
            <input type="text" id="inputName" class="form-control">
          </div>
          <div class="form-group">
            <label for="inputDescription">توضیحات</label>
            <textarea id="inputDescription" class="form-control" rows="4"></textarea>
          </div>
          <div class="form-group">
            <label for="inputStatus">دسته بندی</label>
            <select id="inputStatus" class="form-control custom-select">
              <option selected="" disabled="">Select one</option>
              <option>اجاره</option>
              <option>فروش</option>
            </select>
          </div>
          <div class="form-group">
            <label for="inputClientCompany">Client Company</label>
            <input type="text" id="inputClientCompany" class="form-control">
          </div>
          <div class="form-group">
            <label for="inputProjectLeader">Project Leader</label>
            <input type="text" id="inputProjectLeader" class="form-control">
          </div>

          <div class="row">
            <div class="col-12">
              <a href="#" class="btn btn-secondary">انصراف</a>
              <input type="submit" value="ثبت آگهی" class="btn btn-success float-right">
            </div>
          </div>
    

        </div>
        
        <!-- /.card-body -->
      </div>





      
      <!-- /.card -->

    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  {% include './tmp/footer.html' %}

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

{% endblock %}

templates/panel/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>داشبورد | Dashboard</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{% static 'panel/plugins/fontawesome-free/css/all.min.css' %}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css' %}">
  <!-- Tempusdominus Bootstrap 4 -->
  <link rel="stylesheet" href="{% static 'panel/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css' %}">
  <!-- iCheck -->
  <link rel="stylesheet" href="{% static 'panel/plugins/icheck-bootstrap/icheck-bootstrap.min.css' %}">
  <!-- JQVMap -->
  <link rel="stylesheet" href="{% static 'panel/plugins/jqvmap/jqvmap.min.css' %}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{% static 'panel/dist/css/adminlte.min.css' %}">
  <!-- overlayScrollbars -->
  <link rel="stylesheet" href="{% static 'panel/plugins/overlayScrollbars/css/OverlayScrollbars.min.css' %}">
  <!-- Daterange picker -->
  <link rel="stylesheet" href="{% static 'panel/plugins/daterangepicker/daterangepicker.css' %}">
  <!-- summernote -->
  <link rel="stylesheet" href="{% static 'panel/plugins/summernote/summernote-bs4.min.css' %}">
   <!-- DataTables -->
   <link rel="stylesheet" href="{% static 'panel/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css' %}">
   <link rel="stylesheet" href="{% static 'panel/plugins/datatables-responsive/css/responsive.bootstrap4.min.css' %}">
</head>
<body class="hold-transition sidebar-mini layout-fixed">



  {% block content %}
  {% endblock %}


<!-- jQuery -->
<script src="{% static 'panel/plugins/jquery/jquery.min.js' %}"></script>
<!-- jQuery UI 1.11.4 -->
<script src="{% static 'panel/plugins/jquery-ui/jquery-ui.min.js' %}"></script>
<!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
<script>
  $.widget.bridge('uibutton', $.ui.button)
</script>
<!-- Bootstrap 4 -->
<script src="{% static 'panel/plugins/bootstrap/js/bootstrap.bundle.min.js' %}"></script>
<!-- ChartJS -->
<script src="{% static 'panel/plugins/chart.js/Chart.min.js' %}"></script>
<!-- Sparkline -->
<script src="{% static 'panel/plugins/sparklines/sparkline.js' %}"></script>
<!-- JQVMap -->
<script src="{% static 'panel/plugins/jqvmap/jquery.vmap.min.js' %}"></script>
<script src="{% static 'panel/plugins/jqvmap/maps/jquery.vmap.usa.js' %}"></script>
<!-- jQuery Knob Chart -->
<script src="{% static 'panel/plugins/jquery-knob/jquery.knob.min.js' %}"></script>
<!-- daterangepicker -->
<script src="{% static 'panel/plugins/moment/moment.min.js' %}"></script>
<script src="{% static 'panel/plugins/daterangepicker/daterangepicker.js' %}"></script>
<!-- Tempusdominus Bootstrap 4 -->
<script src="{% static 'panel/plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js' %}"></script>
<!-- Summernote -->
<script src="{% static 'panel/plugins/summernote/summernote-bs4.min.js' %}"></script>
<!-- overlayScrollbars -->
<script src="{% static 'panel/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js' %}"></script>
<!-- AdminLTE App -->
<script src="{% static 'panel/dist/js/adminlte.js' %}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{% static 'panel/dist/js/pages/dashboard.js' %}"></script>
<!-- AdminLTE for demo purposes -->
<script src="{% static 'panel/dist/js/demo.js' %}"></script>
<!-- DataTables -->
<script src="{% static 'panel/plugins/datatables/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'panel/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js' %}"></script>
<script src="{% static 'panel/plugins/datatables-responsive/js/dataTables.responsive.min.js' %}"></script>
<script src="{% static 'panel/plugins/datatables-responsive/js/responsive.bootstrap4.min.js' %}"></script>



</body>
</html>

templates/panel/blank.htm
{% extends 'panel/base.html' %}
 {% block content %}

<div class="wrapper">

  <!-- Navbar -->
  {% include './tmp/nav.html' %}
  <!-- /.navbar -->
 <!-- SideBar -->
 {% include './tmp/side.html' %}
 <!-- /.SideBar -->
  

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Blank Page</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">

      <!-- Default box -->









      
      <!-- /.card -->

    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  {% include './tmp/footer.html' %}

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

{% endblock %}

templates/panel/profile.html
{% extends 'panel/base.html' %}
 {% block content %}

<div class="wrapper">

  <!-- Navbar -->
  {% include './tmp/nav.html' %}
  <!-- /.navbar -->
 <!-- SideBar -->
 {% include './tmp/side.html' %}
 <!-- /.SideBar -->
  

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>پروفایل</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">

      <!-- Default box -->


      <div class="row">
        <div class="col">
          <!-- Widget: user widget style 1 -->
          <div class="card card-widget widget-user">
            <!-- Add the bg color to the header using any of the bg-* classes -->
            <div class="widget-user-header text-white" style="background: url('static/panel/dist/img/photo1.png') center center;">
              <h3 class="widget-user-username text-right">{{ user.username }}</h3>
              <h5 class="widget-user-desc text-right">{{ user.id }}</h5>
            </div>
            <div class="widget-user-image">
              <img class="img-circle" src="{{ user.avatar.url }}" alt="User Avatar">
            </div>
            <div class="card-footer">
              <div class="row">
                <div class="col-sm-4 border-right">
                  <div class="description-block">
                    <h5 class="description-header">3,200</h5>
                    <span class="description-text">آگهی ها</span>
                  </div>
                  <!-- /.description-block -->
                </div>
                <!-- /.col -->
                <div class="col-sm-4 border-right">
                  <div class="description-block">
                    <h5 class="description-header">13,000</h5>
                    <span class="description-text">مشتریان</span>
                  </div>
                  <!-- /.description-block -->
                </div>
                <!-- /.col -->
                <div class="col-sm-4">
                  <div class="description-block">
                    <h5 class="description-header">35</h5>
                    <span class="description-text">درآمد</span>
                  </div>
                  <!-- /.description-block -->
                </div>
                <!-- /.col -->
              </div>
              <!-- /.row -->
            </div>
          </div>
          <!-- /.widget-user -->
        </div>
      </div>




      
      <!-- /.card -->

    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  {% include './tmp/footer.html' %}

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

{% endblock %}

templates/web/about.html
 {% extends 'web/base.html' %}
 {% block content %}

{% include './tmp/nav.html' %}


  <!-- Header -->
  <header class="bg-primary py-5 mb-5">
    <div class="container h-100">
      <div class="row h-100 align-items-center">
        <div class="col-lg-12">
          <h1 class="display-4 text-white mt-5 mb-2">Amlak Kara | املاک کارا</h1>
          <p class="lead mb-5 text-white-50">وب اپلیکیشن املاک کارا با سیستم پیشرفته و درحال توسعه  سامانه هوشمند اجاره محل اقامت ویژه مسافران است. هدف از ایجاد این سامانه ترویج سفرهای اقتصادی، مناسب برای تمام افراد جامعه و گردشگران است. در همین راستا تلاش می‌کنیم اقامتگاه‌هایی امن را با کم‌ترین هزینه در اختیار کاربران قرار دهیم.</p>
        </div>
      </div>
    </div>
  </header>

  <!-- Page Content -->
  <div class="container">

    <div class="row">
      <div class="col-md-8 mb-5">
        <h2>What We Do</h2>
        <hr>
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. A deserunt neque tempore recusandae animi soluta quasi? Asperiores rem dolore eaque vel, porro, soluta unde debitis aliquam laboriosam. Repellat explicabo, maiores!</p>
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Omnis optio neque consectetur consequatur magni in nisi, natus beatae quidem quam odit commodi ducimus totam eum, alias, adipisci nesciunt voluptate. Voluptatum.</p>
        <a class="btn btn-primary btn-lg" href="{% url 'accounts:login' %}">ورود / ثبت نام</a>
      </div>
      <div class="col-md-4 mb-5">
        <h2>تماس با ما</h2>
        <hr>
        <address>
          <strong>مدیریت : حامد خاتم</strong>
          <br>مازندران - تهران
          <br>
          <br>
        </address>
        <address>
          <abbr title="Phone">تماس:</abbr>
          09102177882
          <br>
          <abbr title="Email">ایمیل:</abbr>
          <a href="mailto:#">info@amlak-kara.com</a>
        </address>
      </div>
    </div>
    <!-- /.row -->

 
  </div>
  <!-- /.container -->




  {% include './tmp/footer.html' %}

{% endblock %}

templates/web/ads-detail.html
 {% extends 'web/base.html' %}
 {% block content %}

{% include './tmp/nav.html' %}
  <!-- Page Content -->

            <!-- Page Features -->
<div class="container">
    <h2>Amlak - Kara / {{ ads_detail.title }}</h2>

    <div class="row">


                <div class="card mb-3 col-8">
                    <img class="card-img-top" src="{{ ads_detail.Adspic.url }}" alt="{{ ads_detail.title }}" width="300" height="300" >
                    <div class="card-body">
                      <h5 class="card-title">{{ ads_detail.title }}</h5>
                      <p class="card-text">{{ ads_detail.body }}</p>
                      <p class="card-text"><small class="text-muted">{{ ads_detail.price }}</small></p>
                    </div>
                  </div>



          <!-- Sidebar Widgets Column -->
      <div class="col-md-4">

        <!-- Search Widget -->
        <div class="card my-4">
          <h5 class="card-header">Search</h5>
          <div class="card-body">
            <div class="input-group">
              <input type="text" class="form-control" placeholder="Search for...">
              <span class="input-group-append">
                <button class="btn btn-secondary" type="button">Go!</button>
              </span>
            </div>
          </div>
        </div>

        <!-- Categories Widget -->
        <div class="card my-4">
          <h5 class="card-header">دسته بندی ها</h5>
          <div class="card-body">
            <div class="row">
              <div class="col-lg-6">
                {% for category in ads_cat %}
                <ul class="list-unstyled mb-0">
                  <li>
                    <a href="{{ category.cat_slug }}">{{ category.category }}</a>
                  </li>
                </ul>
                {% endfor %}
              </div>
            </div>
          </div>
        </div>
    </div>





    </div>
        
             





       

        <!-- /.row -->
</div>
    {% include './tmp/footer.html' %}
    
    {% endblock %}

templates/web/ads.html
 {% extends 'web/base.html' %}
 {% block content %}

{% include './tmp/nav.html' %}
  <!-- Page Content -->
  <div class="container">
  <h2>Amlak - Kara / Ads List</h2>
            <!-- Page Features -->
    <div class="row text-center">
        {% for addAds in adslist %}
          <div class="col-lg-3 col-md-6 mb-4">
            <div class="card h-100">
              <img class="card-img-top" src="{{ addAds.Adspic.url }}" alt="{{ addAds.title }}">
              <div class="card-body">
                <h4 class="card-title">{{ addAds.title }}</h4>
                <p class="card-text">{{ addAds.body }}</p>
              </div>
              <div class="card-footer">
                <a href="#" class="btn btn-warning">{{ addAds.price }}</a>
                <hr>
                <a href="#" class="btn btn-primary">نمایش</a>
              </div>
            </div>
          </div>
    {% endfor %}
        </div>
        <!-- /.row -->
    </div>
    {% include './tmp/footer.html' %}
    
    {% endblock %}

templates/web/base.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>

  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>Amlak Kara | Ads</title>

  <!-- Bootstrap core CSS -->
  <link href="{% static 'web/vendor/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet">

  <!-- Custom styles for this template -->
  <link href="{% static 'web/css/heroic-features.css' %}" rel="stylesheet">

</head>

<body>


    {% block content %}
    {% endblock %}



  <!-- Bootstrap core JavaScript -->
  <script src="{% static 'web/vendor/jquery/jquery.min.js' %}"></script>
  <script src="{% static 'web/vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>
</body>
</html>

templates/web/contact.html
{% include './tmp/nav.html' %}

templates/web/index.html
 {% extends 'web/base.html' %}
 {% block content %}

{% include './tmp/nav.html' %}
  <!-- Page Content -->
  <div class="container">

    <!-- Jumbotron Header -->
    <header class="jumbotron my-4">
      <h1 class="display-3">وب اپلیکیشن آگهی اجاره املاک</h1>
      <p class="lead">وب اپلیکیشن املاک کارا سیسمتی حرفه ای و در حال توسعه برای ارسال آگهی املاک برای اجاره و فروش است.این نسخه به طور آزمایشی انتشار داده شده و هر روز درحال آپدیت و توسعه میباشد. باما همراه باشید</p>
      <a href="#" class="btn btn-primary btn-lg">ثبت نام / ورود</a>
    </header>

    <!-- Page Features -->
    <div class="row text-center">
    {% for addAds in ads_list %}
      <div class="col-lg-3 col-md-6 mb-4">
        <div class="card h-100">
          <img class="card-img-top" src="{{ addAds.Adspic.url }}" alt="{{ addAds.title }}">
          <div class="card-body">
            <h4 class="card-title">{{ addAds.title }}</h4>
            <p class="card-text">{{ addAds.body }}</p>
          </div>
          <div class="card-footer">
            <a href="#" class="btn btn-warning">{{ addAds.price }}</a>
            <hr>
            <a href="{% url 'web:ads_detail' addAds.slug %}" class="btn btn-primary">نمایش</a>
          </div>
        </div>
      </div>
{% endfor %}
    </div>
    <!-- /.row -->

  </div>
  <!-- /.container -->

 {% include './tmp/footer.html' %}

  {% endblock %}